[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Monitor_Optimizer` Component

To be used after the Source_Optimizer component

## Identification

- Author: Emmanuel Farhi
- Origin: ILL (France)
- Date: 17 Sept 1999
- Version: 1.6
- Modification history:
  - EF, (Feb 2000)
  - EF, Mar 10th, 2000 : now uses struct
  - EF, Oct 12th, 2000 ; optim divergence (0.08)

## Description

    A component that optimizes the neutron flux passing through the
    Source_Optimizer in order to have the maximum flux at the
    Monitor_Optimizer position(s).
    Source_optimizer should be placed just after the source.
    Monitor_Optimizer should be placed at the position to optimize.
    I prefer to put one just before the sample.

    See Source_Optimizer for
    usage example and additional informations.

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
optim_comp | no quotes | name of the Source_Optimizer component in the instrument definition. Do not use quotes |
xmin | m | Lower x bound of detector opening | -0.1
xmax | m | Upper x bound of detector opening | 0.1
ymin | m | Lower y bound of detector opening | -0.1
ymax | m | Upper y bound of detector opening | 0.1

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
This_Monitor_id |  |  |

## Links

- Source code for `Monitor_Optimizer.comp`.
- McStas at ILL
- Source_Optimizer

[ Identification | Description | Input parameters | Output parameters | Links ]